package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.AuditStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_leave_record):
 */
public class TeacherLeaveRecord {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "用户编号",required = false)
	private Integer userId;
	
	/** 请假天数 */
	@ApiModelProperty(value = "请假天数",required = false)
	private Integer days;
	
	/** 请假类型 */
	@ApiModelProperty(value = "请假类型",required = false)
	private String type;
	
	/** 请假状态（审批中、拒绝、通过） */
	@ApiModelProperty(value = "请假审核状态",required = false)
	private AuditStatusEnum status;
	
	/** 备注 */
	@ApiModelProperty(value = "备注",required = false)
	private String remark;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setDays(Integer days){
		this.days = days;
	}
	
	public Integer getDays(){
		return this.days;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}

	public AuditStatusEnum getStatus() {
		return status;
	}

	public void setStatus(AuditStatusEnum status) {
		this.status = status;
	}

	public void setRemark(String remark){
		this.remark = remark;
	}
	
	public String getRemark(){
		return this.remark;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
